---
features:
  secondary:
  - name: "Static Analysis analyzer updates"
    available_in: [core, premium, ultimate]
    documentation_link: 'https://docs.gitlab.com/ee/user/application_security/sast/analyzers'
    reporter: connorgilbert
    stage: secure
    categories:
    - SAST
    - Secret Detection
    issue_url: 'https://gitlab.com/gitlab-org/security-products/release/-/issues/120'
    description: |
        GitLab Static Analysis includes [many security analyzers](https://docs.gitlab.com/ee/user/application_security/sast/#supported-languages-and-frameworks) that the GitLab Static Analysis team actively manages, maintains, and updates. The following analyzer updates were published during the 14.10 release milestone. These updates bring additional coverage, bug fixes, and improvements.

        - Gosec analyzer updated to version 2.11.0. See [CHANGELOG](https://gitlab.com/gitlab-org/security-products/analyzers/gosec/-/blob/master/CHANGELOG.md#v352) for details.
            - Add rule for potential directory traversal through `http.Dir("/")`
            - Detect minimum TLS version even when declared in a different file within the package
        - Kics analyzer updated to version 1.5.5. See [CHANGELOG](https://gitlab.com/gitlab-org/security-products/analyzers/kics/-/blob/main/CHANGELOG.md#v150) for details.
            - Add new rules
            - Fix existing rules
            - Delete redundant rules
        - PMD analyzer updated to version 6.44.0. See [CHANGELOG](https://gitlab.com/gitlab-org/security-products/analyzers/pmd-apex/-/blob/master/CHANGELOG.md#v21214) for details.
            - Add Java 18 support
            - Fix rules
        - Secrets analyzer updated to version 8.6.1. See [CHANGELOG](https://gitlab.com/gitlab-org/security-products/analyzers/secrets/-/blob/master/CHANGELOG.md#v3270) for details.
            - Add entropy values to all findings
            - Skip content checks for rules that are only based on file paths
            - Add ability to skip a finding if `gitleaks:allow` is included in the same line as a detected secret
        - Semgrep analyzer updated to version 0.86.5. See [CHANGELOG](https://gitlab.com/gitlab-org/security-products/analyzers/semgrep/-/blob/main/CHANGELOG.md#v2200) for details.
            - Support Go 1.18 generics
            - Additional bug fixes and performance improvements

        If you [include the GitLab-managed SAST template](https://docs.gitlab.com/ee/user/application_security/sast/#configure-sast-manually) ([`SAST.gitlab-ci.yml`](https://gitlab.com/gitlab-org/gitlab/blob/master/lib/gitlab/ci/templates/Security/SAST.gitlab-ci.yml)), you don't need to do anything to receive these updates. However, if you override or customize your own CI/CD template, you need to update your CI/CD configurations. To remain on a specific version of any analyzer, you can [pin to a minor version of an analyzer](https://docs.gitlab.com/ee/user/application_security/sast/#pinning-to-minor-image-version). Pinning to a previous version prevents you from receiving automatic analyzer updates and requires you to manually bump your analyzer version in your CI/CD template.
